Schemas
Get schema
Retrieve a specific schema with its full column definitions.
GET
/
v1
/
schemas
/
{schema_id}
const schema = await client.schemas.get("schema_abc123");
console.log(schema.name);
for (const col of schema.columns) {
console.log(`${col.key}: ${col.type}`);
}
schema = client.schemas.get("schema_abc123")
print(schema["name"])
for col in schema["columns"]:
print(f"{col['key']}: {col['type']}")
curl -X GET "https://hub.banditshq.com/api/v1/schemas/schema_abc123" \
-H "Authorization: Bearer lasso_..."
{
"id": "schema_abc123",
"name": "Electronics Catalog",
"description": "Schema for consumer electronics",
"is_default": false,
"columns": [
{ "key": "product_name", "label": "Product Name", "type": "text", "required": true },
{ "key": "price", "label": "Price", "type": "number" }
],
"created_at": "2025-03-01T10:00:00.000Z",
"updated_at": "2025-03-01T10:00:00.000Z"
}
Path parameters
string
required
The unique identifier of the schema.
Response
string
Unique schema identifier.
string
Schema name.
string | null
Schema description.
boolean
Whether this is the default schema.
array
string
ISO 8601 timestamp.
string
ISO 8601 timestamp.
const schema = await client.schemas.get("schema_abc123");
console.log(schema.name);
for (const col of schema.columns) {
console.log(`${col.key}: ${col.type}`);
}
schema = client.schemas.get("schema_abc123")
print(schema["name"])
for col in schema["columns"]:
print(f"{col['key']}: {col['type']}")
curl -X GET "https://hub.banditshq.com/api/v1/schemas/schema_abc123" \
-H "Authorization: Bearer lasso_..."
{
"id": "schema_abc123",
"name": "Electronics Catalog",
"description": "Schema for consumer electronics",
"is_default": false,
"columns": [
{ "key": "product_name", "label": "Product Name", "type": "text", "required": true },
{ "key": "price", "label": "Price", "type": "number" }
],
"created_at": "2025-03-01T10:00:00.000Z",
"updated_at": "2025-03-01T10:00:00.000Z"
}
⌘I
const schema = await client.schemas.get("schema_abc123");
console.log(schema.name);
for (const col of schema.columns) {
console.log(`${col.key}: ${col.type}`);
}
schema = client.schemas.get("schema_abc123")
print(schema["name"])
for col in schema["columns"]:
print(f"{col['key']}: {col['type']}")
curl -X GET "https://hub.banditshq.com/api/v1/schemas/schema_abc123" \
-H "Authorization: Bearer lasso_..."
{
"id": "schema_abc123",
"name": "Electronics Catalog",
"description": "Schema for consumer electronics",
"is_default": false,
"columns": [
{ "key": "product_name", "label": "Product Name", "type": "text", "required": true },
{ "key": "price", "label": "Price", "type": "number" }
],
"created_at": "2025-03-01T10:00:00.000Z",
"updated_at": "2025-03-01T10:00:00.000Z"
}

